public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/requests/
Date: Sun, 11 Oct 2015 07:05:32 +0000 (UTC)	[thread overview]
Message-ID: <1444547116.8bdee431af22a717c23b7cf71ab86020c9391f07.jlec@gentoo> (raw)

commit:     8bdee431af22a717c23b7cf71ab86020c9391f07
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 19:38:38 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 07:05:16 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8bdee431

dev-python/requests: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/requests/Manifest              |  1 +
 dev-python/requests/requests-2.8.0.ebuild | 53 +++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index adcb5a1..afdda2f 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1,3 +1,4 @@
 DIST requests-2.6.0.tar.gz 450389 SHA256 1cdbed1f0e236f35ef54e919982c7a338e4fea3786310933d3a7887a04b74d75 SHA512 703728e04f4ae5f083892e1ad0cb54777ebcc0120fca9cd3c170e33233fccbb64a635e141e6d7b9c1f1f9d62dc00aa7c66ea890ae62cd6581c881c071a707510 WHIRLPOOL 3e65c251e164937092f349c943472b7e625b0fd963beb53a2b0f7b3b94063b833929b38082ec97298c26145b867334c38b9987c29cbeed5f4d59119f12c53a20
 DIST requests-2.6.1.tar.gz 450975 SHA256 490b111c824d64b84797a899a4c22618bbc45323ac24a0a0bb4b73a8758e943c SHA512 8f88a52f1c10fb909a8e1d17e55be8878c032877e6cb61ffadcb3d1ad1e293d763ea0f7627308ac9df75e17661b4ff8c92464e77d41b05b1b7856b22a3423e49 WHIRLPOOL cb5168f41119fd76a30db511961ba6e852c1eec3941d79e287b782201632f1fc7206004c38a34474014a1463e902ded88056438ccaa7d4107e27c40300dbe0a1
 DIST requests-2.7.0.tar.gz 451723 SHA256 398a3db6d61899d25fd4a06c6ca12051b0ce171d705decd7ed5511517b4bb93d SHA512 a93223c3fd21c58f7c0c901b17be17c23dba4efeed8c4347da9d4e04d96a6698e08e01482205661cb7757cc7560d9ae2e62b18f2b422af0cb90fd998fe963ff2 WHIRLPOOL b805d76ad747fc8a754fb0ca0439e8f303df057c2b256ed7f57533b311322e4e28b0d8f22111a3c5ad283823c1256cd24c93fec2aeabc6946013c17ab3540dd9
+DIST requests-2.8.0.tar.gz 457879 SHA256 b2f003589b60924909c0acde472590c5ea83906986a7a25b6f7929eb20923b7b SHA512 cf41db4b1a4639e940c2b5c1e0edaf2c4dedf0a8ead8381e211fd9e350f491e252f10cfba09bb64b4a062be98ee43e133957f489649db15116a1811e06958bb3 WHIRLPOOL 5e7e889bc016f403e221af05d01aebbec4c96175c983e240128d288884768dc0c119d76c022fd3ae5d2222cfda5415c866052fa5c5f325ee22cebb33c780df16

diff --git a/dev-python/requests/requests-2.8.0.ebuild b/dev-python/requests/requests-2.8.0.ebuild
new file mode 100644
index 0000000..b8ec015
--- /dev/null
+++ b/dev-python/requests/requests-2.8.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="http://python-requests.org/ https://pypi.python.org/pypi/requests"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="test"
+
+# bundles dev-python/urllib3 snapshot
+RDEPEND="
+	app-misc/ca-certificates
+	>=dev-python/chardet-2.2.1[${PYTHON_USEDEP}]
+	dev-python/ndg-httpsclient[${PYTHON_USEDEP}]
+	>=dev-python/py-1.4.30[${PYTHON_USEDEP}]
+	dev-python/pyasn1[${PYTHON_USEDEP}]
+	dev-python/pyopenssl[${PYTHON_USEDEP}]
+	"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		>=dev-python/pytest-2.8.1[${PYTHON_USEDEP}]
+	)
+	"
+
+# tests connect to various remote sites
+RESTRICT="test"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.2.0-system-chardet.patch
+	"${FILESDIR}"/${PN}-2.5.0-system-cacerts.patch
+)
+
+python_prepare_all() {
+	# use system chardet
+	rm -r requests/packages/chardet || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	"${PYTHON}" test_requests.py || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2015-10-11  7:05 UTC|newest]

Thread overview: 161+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-11  7:05 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-10-14 13:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/requests/ Justin Lecher
2015-10-15 14:41 Justin Lecher
2015-10-18 16:48 Mikle Kolyada
2015-11-02 13:09 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-05 11:52 Agostino Sarubbo
2015-11-11 17:27 Justin Lecher
2015-11-16 15:01 Agostino Sarubbo
2015-11-16 16:15 Agostino Sarubbo
2015-11-16 16:26 Agostino Sarubbo
2015-11-19 10:25 Agostino Sarubbo
2015-11-22 19:28 Markus Meier
2015-11-23  6:44 Jeroen Roovers
2015-11-23 10:05 Justin Lecher
2015-12-17 14:48 Justin Lecher
2015-12-24  9:24 Justin Lecher
2016-01-22  8:03 Justin Lecher
2016-06-21  2:47 Mike Frysinger
2016-09-30  7:21 Lars Wendler
2016-09-30  7:22 Lars Wendler
2016-11-30 18:05 Michał Górny
2016-12-01 13:55 Lars Wendler
2016-12-22 22:46 Lars Wendler
2017-01-23  4:46 Lars Wendler
2017-01-23  4:46 Lars Wendler
2017-02-19  1:03 Mike Gilbert
2017-03-01  6:49 Tim Harder
2017-04-09 21:37 Zac Medico
2017-05-06 11:13 Jeroen Roovers
2017-05-15 14:48 Mike Gilbert
2017-05-16 20:13 Mike Gilbert
2017-05-19 13:37 Michael Weber
2017-05-19 21:44 Michael Weber
2017-05-22 16:48 Tobias Klausmann
2017-06-15 18:19 Markus Meier
2017-06-29 22:04 Sebastien Fabbro
2017-08-28  0:47 Matt Thode
2017-08-29 13:34 Mike Gilbert
2017-09-12  9:13 Fabian Groffen
2017-09-15 21:46 Mike Gilbert
2018-02-22 17:38 Michał Górny
2018-06-17  4:10 Tim Harder
2018-06-24 16:37 Sebastian Pipping
2018-07-09 21:22 Sebastian Pipping
2018-07-16 19:57 Michał Górny
2018-12-14  7:40 Patrick McLean
2018-12-17 21:21 Patrick McLean
2019-02-11 23:36 Sergei Trofimovich
2019-02-12  8:11 Sergei Trofimovich
2019-02-12  8:12 Sergei Trofimovich
2019-02-12 14:56 Mart Raudsepp
2019-02-12 21:03 Sergei Trofimovich
2019-02-12 21:14 Sergei Trofimovich
2019-02-13 19:10 Markus Meier
2019-02-15 15:46 Thomas Deutschmann
2019-02-15 18:09 Mikle Kolyada
2019-03-02 20:46 Matt Turner
2019-03-03  6:28 Mikle Kolyada
2019-03-03  6:28 Mikle Kolyada
2019-03-03  6:28 Mikle Kolyada
2019-03-10  8:33 Mikle Kolyada
2019-11-22 19:38 Michał Górny
2019-11-27 13:37 Mikle Kolyada
2019-12-26 23:58 Aaron Bauman
2020-02-19 19:33 Sergei Trofimovich
2020-02-21 10:08 Michał Górny
2020-03-16  5:54 Matt Turner
2020-03-25 13:12 Agostino Sarubbo
2020-04-11 12:08 Mart Raudsepp
2020-05-03 10:12 Agostino Sarubbo
2020-05-03 19:02 Agostino Sarubbo
2020-05-04  6:16 Mart Raudsepp
2020-05-04 12:17 Michał Górny
2020-05-04 17:36 Thomas Deutschmann
2020-05-05 22:13 Sergei Trofimovich
2020-05-06  6:41 Sergei Trofimovich
2020-05-06  6:48 Sergei Trofimovich
2020-05-08 17:15 Agostino Sarubbo
2020-05-26 10:35 Michał Górny
2020-06-05 16:10 Sergei Trofimovich
2020-06-18 10:26 Michał Górny
2020-07-11 22:28 Sam James
2020-07-14 15:22 Sam James
2020-07-14 16:32 Sam James
2020-07-15 20:18 Sergei Trofimovich
2020-07-27 20:06 Aaron Bauman
2020-07-29 10:20 Michał Górny
2020-07-30 22:53 Sam James
2020-07-30 22:53 Sam James
2020-07-31  6:21 Michał Górny
2020-08-15  5:28 Joshua Kinard
2020-09-18 15:43 Michał Górny
2020-09-20 10:24 Michał Górny
2020-11-11 20:55 Michał Górny
2020-11-28  8:07 Sam James
2020-12-16 23:04 Michał Górny
2020-12-23  2:10 Sam James
2021-02-09 17:45 Mike Gilbert
2021-03-26  9:41 Michał Górny
2021-05-05 12:19 Michał Górny
2021-05-20 13:51 Michał Górny
2021-05-20 13:51 Michał Górny
2021-07-17  7:25 Michał Górny
2021-07-20 20:36 Sergei Trofimovich
2021-07-23 12:46 Marek Szuba
2021-07-23 13:21 Marek Szuba
2021-07-24 15:22 Sam James
2021-07-25  1:10 Sam James
2021-07-25  3:16 Matt Turner
2021-07-25 15:29 Sergei Trofimovich
2021-07-31 22:26 Joshua Kinard
2021-08-06 20:49 Sam James
2021-08-06 20:52 Sam James
2021-08-13  6:58 Michał Górny
2021-08-21 22:15 James Le Cuirot
2021-09-05  6:02 Sam James
2021-09-05 20:01 Agostino Sarubbo
2021-09-05 20:04 Agostino Sarubbo
2021-09-05 20:07 Agostino Sarubbo
2021-09-06  0:15 Sam James
2021-09-06  5:40 Agostino Sarubbo
2021-09-06 17:29 Sam James
2021-09-08  0:42 Sam James
2021-11-05 22:28 Sam James
2021-11-11  3:49 Sam James
2021-11-11  8:07 Michał Górny
2021-11-28  7:14 Michał Górny
2021-11-28 14:42 Michał Górny
2022-01-03 17:49 Arthur Zamarin
2022-01-05 17:18 Arthur Zamarin
2022-02-03 20:57 Arthur Zamarin
2022-02-03 21:34 Michał Górny
2022-02-04  7:22 Agostino Sarubbo
2022-02-04  8:40 Michał Górny
2022-05-13 11:21 Michał Górny
2022-05-13 11:21 Michał Górny
2022-06-09 19:19 Michał Górny
2022-06-16  9:33 Jakov Smolić
2022-06-16 11:24 Michał Górny
2022-06-29 17:08 Arthur Zamarin
2022-10-13  4:54 Michał Górny
2023-01-13  7:09 Michał Górny
2023-01-13  7:09 Michał Górny
2023-02-16 17:22 Arthur Zamarin
2023-03-16  4:07 Michał Górny
2023-04-27 19:27 Michał Górny
2023-04-27 19:27 Michał Górny
2023-05-04  8:06 Michał Górny
2023-05-23  5:07 Michał Górny
2023-05-23 10:17 Sam James
2023-05-23 13:37 Michał Górny
2023-05-29  9:42 Michał Górny
2024-05-14 10:05 Michał Górny
2024-05-21  4:14 Michał Górny
2024-05-21  6:22 Arthur Zamarin
2024-05-22  4:49 Michał Górny
2024-05-30  4:03 Michał Górny
2024-06-15  8:38 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444547116.8bdee431af22a717c23b7cf71ab86020c9391f07.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox